Bug 115192 - printf-style problems
printf-style problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: njamd (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-08 05:51 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 05:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-08 05:51:39 EST
Description of problem:

I just tried to compile package njamd-0.9.2-9 from Fedora.

The compiler said

1.

mem_sunder.c(56): warning #268: the format string ends before this
argument

The source code is

        __nj_eprintf("NJAMD/%s: Address passed (0x%lx) is not
page-aligned\n",
                caller, (u_long)start, __nj_align);

Two % specifiers, three parameters. I'm not sure what the fix is for this.

2.

mem_under.c(82): warning #267: the format string requires additional
arguments

The source code is

            __nj_eprintf("NJAMD/%s: Double %s of address 0x%lx\n"
                    "0x%lx\n", caller, caller, (u_long)buf);

Four % specifiers, but only three parameters.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Jelinek 2004-10-27 05:16:05 EDT
njamd has been removed from the distribution.

Note You need to log in before you can comment on or make changes to this bug.